
var CodeProduct="MSG";
var CookieProduct="MSG_Cookie";
var CookieBottomProduct="MSG_CookieBottom";
var activemenu_nav= "menu1_0_0";
var activesidenav = "";
var activesidenav01 = "";

function ShowIconHot () {
	if( jQuery( ".ListNews a .Icon" ).length > 0 ) {
		jQuery( ".ListNews a.New .Icon" ).remove();
		
		var temp = jQuery( ".ListNews a.Hot" );
		jQuery( ".ListNews a.Hot" ).removeClass("Hot");
		for( var i = 0; i < 3; i++ ) {
			temp.eq(i).addClass( "Hot" );
		}
	}
}
jQuery(document).ready(function(){
	jQuery("#quickLink").addScrollControl({
		initTop :140,
		offsetTop :480,
		animation : false,
		offsetToScroll : 200,
		offsetLeft :940,
		RelativeID : "content"
	});
	if( jQuery( ".popupHinh" ).length > 0 ) {
		jQuery( ".popupHinh" ).each(function(index, element) {
            jQuery( this ).css({
				width: jQuery( this ).find("img").width(),
				height: jQuery( this ).find("img").height()
			})
			var temp = jQuery( this ).find("img.ThumbnailPopup");
			temp.hide()
			jQuery( this ).find("img").bind( "mouseover", function () {
				temp.show();
			})
			jQuery( this ).find("img").bind( "mouseout", function () {
				temp.hide();
			})
			temp.bind( "mouseover", function () {
				temp.show();
			})
			temp.bind( "mouseout", function () {
				temp.hide();
			})
        });
	}
	if( jQuery("a[rel^='prettyPhoto']").length > 0 ) {
		jQuery("a[rel^='prettyPhoto']").prettyPhoto();
		jQuery("a[rel^='prettyPhoto']").bind( "click",function () {
			return false;
		})
	}
	if( jQuery( ".ButtonGopY" ).length > 0 ) {
		jQuery( ".ButtonGopY" ).bind( "click", function () {
			jQuery( "#frameGopY iframe" ).attr( "src", jQuery( this ).attr( "rel" ));
			createOverlays( "frameGopY" );
			jQuery('.FrameGopYClose' ).bind('click', function() {
				closeVideo('frameGopY' );
					return false;
			});
			jQuery('#overlays' ).bind('click', function() {
				closeVideo('frameGopY' );
					return false;
			});
			return false;
		})
	}
	ShowIconHot();
	if( jQuery( ".DisplayCheckBox" ).length > 0 ){
		jQuery( ".DisplayCheckBox" ).bind( "click", function() {
			if ( jQuery( this ).parent().find( ".Active" ).length > 0 ){
				var idCheckBox = jQuery( this ).attr( "rel" );
				jQuery( "#" + idCheckBox ).attr( "checked", false);
				jQuery( this ).parent().find( "span.DisplayCheckBox" ).removeClass( "Active");
			}
			else {
				var idCheckBox = jQuery( this ).attr( "rel" );
				jQuery( "#" + idCheckBox ).attr( "checked", true);
				jQuery( this ).parent().find( "span.DisplayCheckBox" ).addClass( "Active");
			}
		})
	}
	var hotro = "http://3q.com.vn/ho-tro/gui-yeu-cau.html";
	var hotro2 = "http://3q.com.vn/ho-tro/xem-yeu-cau.html";
	function PopupHT(url) {
		windowWidth = (jQuery(window).width() - 950)/2 ;
		windowHeight = (jQuery(window).height() -450)/2;
		window.open (url,"mywindow","status=1, scrollbars=1, height=623, width=1020, top="+windowHeight+",left="+windowWidth);
	}
	
	if( jQuery( ".PopupHoTro" ).length > 0 ) {
		jQuery("a.PopupHoTro").click ( function(){
			PopupHT(hotro);	
			return false;
		});
	}
	if( jQuery( ".PopupHoTro2" ).length > 0 ) {
		jQuery("a.PopupHoTro2").click ( function(){
			PopupHT(hotro2);	
			return false;
		});
	}


	jQuery('body').append('<div id="thewindowbackground"></div>');
	/*Random bg nhan vat*/
	var activeHeader = Math.floor(Math.random()*4);
	jQuery( "#wrapper" ).addClass( "Char" + activeHeader ).show();	
	
	/* #quickLink */
	$(window).scroll(function(){
		if(jQuery(document).scrollTop() > 200) {
			jQuery("#quickLink").show();
		}
		else
		{
			jQuery("#quickLink").hide();	
		}
	})
		
	/*even header*/
	if(jQuery("#img").length > 0){
		jQuery("#img").fadegallery({
			control_event: "mouseover",
			auto_play: true,
			control: jQuery("ul#imgControl"),
			delay: 4
		});
	}
	/*even header*/
	if(jQuery("#imgRight").length > 0){
		jQuery("#imgRight").fadegallery({
			control_event: "mouseover",
			auto_play: true,
			control: jQuery("ul#imgControlRight"),
			delay: 4
		});
	}
	
	/*Like box*/
	jQuery("#fanpage li a").bind("mouseover",function(){
		jQuery("#fanpage li").removeClass("Active");
		jQuery(this).parent().addClass("Active");
		var fanpageShow = jQuery(this).attr("rel");
		jQuery(".PluginFB").hide();
		jQuery("#" + fanpageShow).show();
		return false;	
	});
	/*jQuery("#fanpage li a").bind("click",function(){
		return false;	
	});*/
	
	// Box Tuong
	if(jQuery("#main").length > 0){
		function init(carousel,state){
			
			var nGame = jQuery('ul.GamesList').length;			
			if(nGame>1){
				
				/*var content ='';	
				content +=' <div id="control" class="ControlBtm" ><div class="Paging"><ul class="extControl">';
				
				for(i=0;i<nGame;i++) {
					if(i==0) {
						content +=' <li class="Act" ><a title="" href="#">'+i+'</a></li>';
					} else {
						content +=' <li ><a title="" href="#">'+i+'</a></li>';
					}
				}
				
				content +=' </div></div></ul>';		*/	
				
				/*var controlObj = jQuery("#control");
				controlObj.find(".Paging > a.Prev").bind("click",function(){
					carousel.prev();
					return false;
				});
				controlObj.find(".Paging > a.Next").bind("click",function(){
					carousel.next();
					return false;
				});
				controlObj.find(" .Paging > ul.extControl > li > a").bind("click",function(){				
					jQuery(this).parent().parent().find("> li.Act").removeClass("Act");
					jQuery(this).parent().addClass("Act");
					carousel.scroll(jQuery(this).parent().prevAll().length + 1);
					return false;
				});*/
			}
			else 
			{
				jQuery('div.jcarousel-next, div.jcarousel-prev').hide();
			}			
			
		}
		
		function before_itemFirstInCallback(carousel, item, i, state){		
			var controlObj = jQuery("#control");
			controlObj.find("> .Paging > ul.extControl > li.Act").removeClass("Act");
			controlObj.find("> .Paging > ul.extControl > li").eq(i - 1).addClass("Act");
		}
		jQuery(window).load(function(){
			jQuery(".jcarousel-skin-tango").jcarousel({
				initCallback: init,
				scroll: 1,
				/*buttonNextHTML: null,
				buttonPrevHTML: null,*/
				itemFirstInCallback: {
				onBeforeAnimation: before_itemFirstInCallback
				}
			});
			

		});
	}
	// Search tuong 
	if ( jQuery(".TextInputReplace").length >0){
		var TemTextInput ="";	
		jQuery('.TextInputReplace').bind('focus',function(){
			var wordDefault = jQuery(this).attr('title');			
			TemTextInput = jQuery(this).val();
			if(wordDefault==TemTextInput) {	
				jQuery(this).val('');
			}	
		});
		jQuery('.TextInputReplace').bind('blur',function(){			
			if( jQuery.trim(jQuery(this).val()) == '') {
				jQuery(this).val(jQuery(this).attr('title'));
			}
			return false;
		});
    }
	
	if ( jQuery("#tag").length >0){		
		jQuery('#tag').bind('focus',function(){
			if(jQuery(this).val()=='Nhập tên tướng muốn tìm') {
				jQuery(this).val('');
			}
		});
		jQuery('#tag').bind('blur',function(){
			if(jQuery(this).val()=='') {
				jQuery(this).val('Nhập tên tướng muốn tìm');
			}
		});
    }   
	if ( jQuery("#sub_KeyWord").length >0){		
		jQuery('#sub_KeyWord').bind('focus',function(){
			if(jQuery(this).val()=='Tìm kiếm thông tin') {
				jQuery(this).val('');
			}
		});
		jQuery('#sub_KeyWord').bind('blur',function(){
			if(jQuery(this).val()=='') {
				jQuery(this).val('Tìm kiếm thông tin');
			}
		});
    }
	if ( jQuery("#keysearch").length >0){		
		jQuery('#keysearch').bind('focus',function(){
			if(jQuery(this).val()=='Tìm kiếm') {
				jQuery(this).val('');
			}
		});
		jQuery('#keysearch').bind('blur',function(){
			if(jQuery(this).val()=='') {
				jQuery(this).val('Tìm kiếm');
			}
		});
    }

		if (jQuery(".SelectUI").length > 0) {      
        jQuery(".SelectUI").addSelectUI({
            scrollbarWidth: 10 //default is 10
        });
    } 
	
	
	/* popup hình nền */
	jQuery( ".PopupContent" ).live( "mouseover",function() {
		jQuery( ".PopupImageControl" ).css( "display", "block" );		
	});
	jQuery( ".PopupContent" ).live( "mouseout",function() {
		jQuery( ".PopupImageControl" ).css( "display", "none" );		
	});

	//Survey
	if(jQuery("#btnSurvey").length > 0 ){
		jQuery("#btnSurvey").click(function(){ 
			jQuery('#thewindowbackground').remove();
			var urlLink = jQuery(this).attr("href");
			callSurvey(urlLink);			
			return false;
		});	
	}
	/* trailer home */
	if(jQuery("a.ViewTrailer").length > 0 ){
		jQuery("a.ViewTrailer").click(function(){ 
			callTrailer();			
			return false;
		});	
	}

	var imgpos;
	
	/******* tooltip small *******/
	jQuery(".SmallImg1").mouseover(function(evt){
		imgpos = jQuery(this).attr('id').split("_");
		imgpos = imgpos[1];	
		var widthimg1 = jQuery(this).width() - 15;		
		var imgLeft1 =0;
		jQuery(".ImgToolTipSmall").hide();
		jQuery("#largeImage1_"+imgpos).parent().show();
		if(jQuery(this).hasClass("ItemCenter")){
			imgLeft1 = jQuery(this).offset().left - jQuery("#subContent").eq(0).offset().left - jQuery("#largeImage1_"+imgpos).width() - 32;
		} else {
			imgLeft1 = jQuery(this).outerWidth() + jQuery(this).offset().left - jQuery("#subContent").eq(0).offset().left;
		}
		var imgTop1 = jQuery(this).offset().top - jQuery("#subContent").eq(0).offset().top;
		
		jQuery("#largeImage1_"+imgpos).parent().css({
			top: imgTop1 + widthimg1,			
			left: imgLeft1 + 130				
		});		
		jQuery("#smallImage1_"+imgpos).addClass("ImgHover");
		
		evt.stopPropagation();
	});
	jQuery(".ImgToolTipSmall").mouseover(function(evt){
		jQuery(this).parent().show();
		evt.stopPropagation();		
	});	
	jQuery(document).mouseover(function(){
		jQuery(".LargeImg1").parent().hide();
		jQuery("#smallImage1_"+imgpos).removeClass("ImgHover");		
	});
	//tab loader
	if ( jQuery( ".TabLoader" ).length > 0){
		jQuery( ".TabLoader" ).eq(0).show();
		jQuery( "#loadTab li" ).eq(0).addClass( "Active" );
		var firstTabActive = ( window.location.href ).split( '#' );
		if ( firstTabActive.length > 1 ) {
			for ( var i = 0; i < jQuery( "#loadTab li a" ).length ; i ++ )
			{
				if ( "#" + firstTabActive[1]  == jQuery( "#loadTab li a" ).eq( i ).attr( "href" ) ) {
					jQuery( ".TabLoader" ).hide();
					jQuery( "#loadTab li" ).removeClass( "Active" );
					jQuery( "#loadTab li" ).eq( i ).addClass( "Active" );
					jQuery( jQuery( "#loadTab li a" ).eq( i ).attr( "href" ) ).show();
					break;
				}
			}
		}
	}
	if ( jQuery( "#loadTab" ).length > 0){
		jQuery( "#loadTab li a" ).bind( "click", function () {
			jQuery( ".TabLoader" ).hide();
			jQuery( "#loadTab li" ).removeClass( "Active" );
			jQuery( this ).parent().addClass( "Active" );
			jQuery( jQuery( this ).attr( "href" ) ).show();
			return false;
		})
	}
});


jQuery(document).ready(function(){
	$("#loginBox").delegate("#u", "focus", function() {
        if (jQuery(this).val() == "Tài khoản MU") {
            jQuery(this).val("")
        }
    });
    $("#loginBox").delegate("#u", "blur", function() {
        if (jQuery(this).val() == "") {
            jQuery(this).val("Tài khoản MU")
        }
    });
    $("#loginBox").delegate("#p", "focus", function() {
        if (jQuery(this).val() == "Mật khẩu") {
            jQuery(this).val("")
        }
    });
    $("#loginBox").delegate("#p", "blur", function() {
        if (jQuery(this).val() == "") {
            jQuery(this).val("Mật khẩu")
        }
    });
})

function checklogin() {
    var a = 0;
	var vweb_security_login_code1 = $('input[name=vweb_security_login_code1]').val();
	var vweb_security_login_code2 = $('input[name=vweb_security_login_code2]').val();
	var vweb_security_login_code3 = $('input[name=vweb_security_login_code3]').val();	
	var vImageCodP = $('input[name=vImageCodP]').val();
	var username = $('input[name=u]').val();
	var passType = $('input[name=passType_lg]').val();
	var password = $('input[name=p]').val();

	var login = $('input[name=login]').val();	
    if (jQuery("input[name=u]").val() == "" || jQuery("input[name=u]").val() == "Tài khoản MU") {
        jQuery("input[name=u]").focus();
        alert("Vui long nhap tai khoan MU!");
		a++
		return false;
        
    } else {
        if (jQuery("input[name=p]").val() == "" || jQuery("input[name=p]").val() == "Mật khẩu") {
            jQuery("input[name=p]").focus();
            alert("Vui lòng nhập mật khẩu!");
			a++
			return false;
        }
    } 

	if(a==0) {
		var dataString = "login="+ login +"&vweb_security_login_code1="+ vweb_security_login_code1 +"&vweb_security_login_code2="+ vweb_security_login_code2 +"&vweb_security_login_code3="+ vweb_security_login_code3 +"&vImageCodP="+ vImageCodP +"&username_lg="+ username +"&passType="+ passType +"&password_lg="+ password;
		$.ajax({
			type: "GET",
			url: "ajax_action.php?ajax=login",
			data: dataString,
			cache: false,
			beforeSend: function() {
				 $("#msg_login").html("<center><div align='center'><img src='images/loading.gif' border='0' /></div></center>");
			},
			complete: function() {
				
			},
			success: function(html) {
				var html_split = html.split("<vweb>");
				if(html_split[1] == "OK") {
					$("#msg_login").html("<div class='form-success'>Đăng nhập thành công!</div>");
					window.location.href = 'index.php';
				} else {
					window.location.href = '#login';
					$("#msg_login").html("<div class='form-error'>" + html + "</div>");
				}
			}
		 });
	}
	return false;	

}
